Subject: Re: application proxy

From: Erik Nordmark <[email-masked]>
Date: Mon, 20 Jan 2003 01:09:19 +0100 (CET)

> could someone please give me an example of 'application proxies' (for
> ipv6/ipv4 transition) that people have been talking about in their drafts.
> is BIA or BIS an example of this? if yes,are there any more examples?

I didn't see anybody else respond so here I go.

It is not BIA or BIS.

Instead it is a regular application layer proxy such as a http proxy, a
mail relay, or a SIP proxy, where the software is IPv6 capable.
When you run such a piece of software on a dual-stack node in many 
cases it will just work - it will receive an email on one IP address
and send it out on some other IP address - whether they are the same IP version
or different IP versions.

I know people can do this with sendmail for mail.
I don't know which proxy(ies) folks have been using for this.
I'm unsure if there are IPv6 SIP proxies which already support this.

  Erik